// Code generated by ent, DO NOT EDIT.

package ent

import (
	"gochassis/ent/chat"
	"gochassis/ent/chatroom"
	"gochassis/ent/post"
	"gochassis/ent/profile"
	"gochassis/ent/schema"
	"time"
)

// The init function reads all schema descriptors with runtime code
// (default values, validators, hooks and policies) and stitches it
// to their package variables.
func init() {
	chatFields := schema.Chat{}.Fields()
	_ = chatFields
	// chatDescText is the schema descriptor for text field.
	chatDescText := chatFields[0].Descriptor()
	// chat.TextValidator is a validator for the "text" field. It is called by the builders before save.
	chat.TextValidator = chatDescText.Validators[0].(func(string) error)
	// chatDescCreatedAt is the schema descriptor for created_at field.
	chatDescCreatedAt := chatFields[4].Descriptor()
	// chat.DefaultCreatedAt holds the default value on creation for the created_at field.
	chat.DefaultCreatedAt = chatDescCreatedAt.Default.(func() time.Time)
	// chatDescUpdatedAt is the schema descriptor for updated_at field.
	chatDescUpdatedAt := chatFields[5].Descriptor()
	// chat.DefaultUpdatedAt holds the default value on creation for the updated_at field.
	chat.DefaultUpdatedAt = chatDescUpdatedAt.Default.(func() time.Time)
	// chat.UpdateDefaultUpdatedAt holds the default value on update for the updated_at field.
	chat.UpdateDefaultUpdatedAt = chatDescUpdatedAt.UpdateDefault.(func() time.Time)
	chatroomFields := schema.ChatRoom{}.Fields()
	_ = chatroomFields
	// chatroomDescRoomName is the schema descriptor for room_name field.
	chatroomDescRoomName := chatroomFields[0].Descriptor()
	// chatroom.RoomNameValidator is a validator for the "room_name" field. It is called by the builders before save.
	chatroom.RoomNameValidator = chatroomDescRoomName.Validators[0].(func(string) error)
	// chatroomDescCreatedAt is the schema descriptor for created_at field.
	chatroomDescCreatedAt := chatroomFields[1].Descriptor()
	// chatroom.DefaultCreatedAt holds the default value on creation for the created_at field.
	chatroom.DefaultCreatedAt = chatroomDescCreatedAt.Default.(func() time.Time)
	// chatroomDescUpdatedAt is the schema descriptor for updated_at field.
	chatroomDescUpdatedAt := chatroomFields[2].Descriptor()
	// chatroom.DefaultUpdatedAt holds the default value on creation for the updated_at field.
	chatroom.DefaultUpdatedAt = chatroomDescUpdatedAt.Default.(func() time.Time)
	// chatroom.UpdateDefaultUpdatedAt holds the default value on update for the updated_at field.
	chatroom.UpdateDefaultUpdatedAt = chatroomDescUpdatedAt.UpdateDefault.(func() time.Time)
	postFields := schema.Post{}.Fields()
	_ = postFields
	// postDescImage is the schema descriptor for image field.
	postDescImage := postFields[0].Descriptor()
	// post.ImageValidator is a validator for the "image" field. It is called by the builders before save.
	post.ImageValidator = postDescImage.Validators[0].(func(string) error)
	// postDescContent is the schema descriptor for content field.
	postDescContent := postFields[1].Descriptor()
	// post.ContentValidator is a validator for the "content" field. It is called by the builders before save.
	post.ContentValidator = postDescContent.Validators[0].(func(string) error)
	// postDescProfileDisplayname is the schema descriptor for profile_displayname field.
	postDescProfileDisplayname := postFields[2].Descriptor()
	// post.ProfileDisplaynameValidator is a validator for the "profile_displayname" field. It is called by the builders before save.
	post.ProfileDisplaynameValidator = postDescProfileDisplayname.Validators[0].(func(string) error)
	// postDescCreatedAt is the schema descriptor for created_at field.
	postDescCreatedAt := postFields[6].Descriptor()
	// post.DefaultCreatedAt holds the default value on creation for the created_at field.
	post.DefaultCreatedAt = postDescCreatedAt.Default.(func() time.Time)
	// postDescUpdatedAt is the schema descriptor for updated_at field.
	postDescUpdatedAt := postFields[7].Descriptor()
	// post.DefaultUpdatedAt holds the default value on creation for the updated_at field.
	post.DefaultUpdatedAt = postDescUpdatedAt.Default.(func() time.Time)
	// post.UpdateDefaultUpdatedAt holds the default value on update for the updated_at field.
	post.UpdateDefaultUpdatedAt = postDescUpdatedAt.UpdateDefault.(func() time.Time)
	profileFields := schema.Profile{}.Fields()
	_ = profileFields
	// profileDescDeviceID is the schema descriptor for device_id field.
	profileDescDeviceID := profileFields[1].Descriptor()
	// profile.DeviceIDValidator is a validator for the "device_id" field. It is called by the builders before save.
	profile.DeviceIDValidator = profileDescDeviceID.Validators[0].(func(string) error)
	// profileDescDisplayname is the schema descriptor for displayname field.
	profileDescDisplayname := profileFields[2].Descriptor()
	// profile.DisplaynameValidator is a validator for the "displayname" field. It is called by the builders before save.
	profile.DisplaynameValidator = profileDescDisplayname.Validators[0].(func(string) error)
	// profileDescCreatedAt is the schema descriptor for created_at field.
	profileDescCreatedAt := profileFields[6].Descriptor()
	// profile.DefaultCreatedAt holds the default value on creation for the created_at field.
	profile.DefaultCreatedAt = profileDescCreatedAt.Default.(func() time.Time)
	// profileDescUpdatedAt is the schema descriptor for updated_at field.
	profileDescUpdatedAt := profileFields[7].Descriptor()
	// profile.DefaultUpdatedAt holds the default value on creation for the updated_at field.
	profile.DefaultUpdatedAt = profileDescUpdatedAt.Default.(func() time.Time)
	// profile.UpdateDefaultUpdatedAt holds the default value on update for the updated_at field.
	profile.UpdateDefaultUpdatedAt = profileDescUpdatedAt.UpdateDefault.(func() time.Time)
}
